/*
  SCI.h
*/

#define BR_110        SYSTEM_CLOCK/16/110
#define BR_300        SYSTEM_CLOCK/16/300
#define BR_1200       SYSTEM_CLOCK/16/1200
#define BR_2400       SYSTEM_CLOCK/16/2400
#define BR_4800       SYSTEM_CLOCK/16/4800
#define BR_9600       SYSTEM_CLOCK/16/9600
#define BR_19200      SYSTEM_CLOCK/16/19200
#define BR_38400      SYSTEM_CLOCK/16/38400
#define BR_57600      SYSTEM_CLOCK/16/57600
#define BR_115200     SYSTEM_CLOCK/16/115200

void vfnSCI_SendMsg(UINT8 port, INT8 *str);
void vfnSCI_init(UINT8 port, UINT16 br);
UINT8 u8SCI_SendChr(UINT8 port, INT8 _char);
UINT8 u8SCI_Receivechar(UINT8 port, UINT8 *p_rx);

void SCI_set_baudrate(UINT8 port, UINT16  br);